---
author:
- Orestis Malaspinas
title: Cours de programmation séquentielle
autoSectionLabels: true
autoEqnLabels: true
eqnPrefix: 
  - "éq."
  - "éqs."
chapters: true
numberSections: true
chaptersDepth: 1
sectionsDepth: 3
lang: fr
documentclass: book
papersize: A4
cref: false
pandoc-numbering:
  - category: exercice
    listing: Liste des exercices
urlcolor: blue
corrige: false
---

# Cours de programmation séquentielle

## Introduction [PDF](intro.pdf)

- Organisation du cours.
- Évaluations.
- Contacts.

## Introduction à la ligne de commande [PDF](command_line.pdf)

- L'interface en ligne de commande.
- Le terminal.
- Quelques commandes utiles.
- Les éditeurs de texte.

## Base 1 [PDF](base_1.pdf)

- Introduction générale au C.
- Qu'est-ce qu'un programme?
- Types de base.
- Expressions et opérateurs.
- Structures de contrôle.
- Les variables.

## Base 2 [PDF](base_2.pdf)

- Représentation variables en mémoire.
- Les pointeurs.
- Les fonctions.
- Les tableaux.

## Base 3 [PDF](base_3.pdf)

- Structures.
- Allocation dynamique de mémoire.
- Prototypes de fonctions.
- Génération d'un exécutable.
- Préprocesseur.

## Introduction à `make` [PDF](make.pdf)

- Représentation variables en mémoire.
- Les pointeurs.
- Les fonctions.
- Les tableaux.

## Tests unitaires et assertions [PDF](tests_assertions.pdf)

- Tests unitaires.
- Assertions.

## Chaînes de caractères [PDF](strings.pdf)

- Le type `char *`.
- Les fonctions de manipulation de chaînes de caractères.

## Ligne de commande [PDF](ligne_commande.pdf)

- Point d’entrée d’un programme.
- Conversion des arguments.

## Pointeurs avancés [PDF](pointeurs_avances.pdf)

- Pointeurs de fonctions.
- Pointeurs et `const`.

## Algorithme de triangulation [PDF](delaunay.pdf)

- Qu'est-ce qu'une triangulation?
- La triangulation de Delaunay.
- L'algorithme de Bowyer--Watson.